package com.qmth.themis.business.cache.bean;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class ExamActivityCacheBean implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -5888311300472703230L;

	@ApiModelProperty(value = "主键")
	private Long id;
	@ApiModelProperty(value = "批次id")
	private Long examId;

	@ApiModelProperty(value = "场次代码")
	private String code;

	@ApiModelProperty(value = "提前多长时间开始候考(分钟)")
	private Integer prepareSeconds;

	@ApiModelProperty(value = "最大考试时长")
	private Integer maxDurationSeconds;

	@ApiModelProperty(value = "是否启用，0：停用，1：启用")
	private Integer enable;

	@ApiModelProperty(value = "允许开考时长(分钟)")
	private Integer openingSeconds;

	@ApiModelProperty(value = "开考时间")
	private Date startTime;

	@ApiModelProperty(value = "结束时间")
	private Date finishTime;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Integer getPrepareSeconds() {
		return prepareSeconds;
	}

	public void setPrepareSeconds(Integer prepareSeconds) {
		this.prepareSeconds = prepareSeconds;
	}

	public Integer getMaxDurationSeconds() {
		return maxDurationSeconds;
	}

	public void setMaxDurationSeconds(Integer maxDurationSeconds) {
		this.maxDurationSeconds = maxDurationSeconds;
	}

	public Integer getEnable() {
		return enable;
	}

	public void setEnable(Integer enable) {
		this.enable = enable;
	}

	public Integer getOpeningSeconds() {
		return openingSeconds;
	}

	public void setOpeningSeconds(Integer openingSeconds) {
		this.openingSeconds = openingSeconds;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getFinishTime() {
		return finishTime;
	}

	public void setFinishTime(Date finishTime) {
		this.finishTime = finishTime;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}
}
